$flex-align: center, stretch, flex-start, flex-end, start, end;

$flex-justify: (
  "center": center,
  "flex-start": flex-start,
  "flex-end": flex-end,
  "between": space-between,
  "around": space-around,
  "evenly": space-evenly,
  "stretch": stretch,
);
$flex-direction: row, row-reverse, column, column-reverse;

.flex {
  display: flex;

  &.wraps {
    flex-wrap: wrap;
  }
}
.is {
  @each $direction in $flex-direction {
    &-direction\:#{$direction} {
      flex-direction: $direction;
    }
  }
  @each $align in $flex-align {
    &-aligned\:#{$align} {
      align-items: $align;
    }
    &-self-aligned\:#{$align} {
      align-self: $align;
    }
  }
  @each $name, $justify in $flex-justify {
    &-spaced\:#{$name} {
      justify-content: $justify;
    }
  }
  // &-mobile\:wrap {
  //   flex-wrap: wrap;
  //   @media all and (min-width: 768px) {
  //     flex-wrap: nowrap;
  //   }
  // }
}
